//========================================================================================
//
//	File:				SLRanSin.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFound.hpp"

#ifndef FWODEXCE_H
#include "FWODExce.h"
#endif

#ifndef FWPRIMEM_H
#include "FWPriMem.h"
#endif

#ifndef FWPRIDEB_H
#include "FWPriDeb.h"
#endif

#define VARIABLE_MACROS
#define FW_ORandomAccessSink_Class_Source
#include "SLRanSin.xih"

#ifdef FW_BUILD_MAC
#pragma segment FWStream
#endif

//----------------------------------------------------------------------------------------
// FW_ORandomAccessSinkGetLength
//----------------------------------------------------------------------------------------

SOM_Scope long  SOMLINK FW_ORandomAccessSink__GetLength(FW_ORandomAccessSink *somSelf, Environment *ev)
{
FW_UNUSED(somSelf);
FW_UNUSED(ev);
    FW_SUBCLASS_RESPONSIBILITY("FW_ORandomAccessSinkGetLength");
    return 0;
}


//----------------------------------------------------------------------------------------
// FW_ORandomAccessSinkSetLength
//----------------------------------------------------------------------------------------

SOM_Scope void  SOMLINK FW_ORandomAccessSink__SetLength(FW_ORandomAccessSink *somSelf, Environment *ev,
		long length)
{
FW_UNUSED(somSelf);
FW_UNUSED(ev);
FW_UNUSED(length);
    FW_SUBCLASS_RESPONSIBILITY("FW_ORandomAccessSinkSetLength");
}


//----------------------------------------------------------------------------------------
// FW_ORandomAccessSinkGetPosition
//----------------------------------------------------------------------------------------

SOM_Scope long  SOMLINK FW_ORandomAccessSink__GetPosition(FW_ORandomAccessSink *somSelf, Environment *ev)
{
FW_UNUSED(somSelf);
FW_UNUSED(ev);
    FW_SUBCLASS_RESPONSIBILITY("FW_ORandomAccessSinkGetPosition");
    return 0;
}


//----------------------------------------------------------------------------------------
// FW_ORandomAccessSinkSetPosition
//----------------------------------------------------------------------------------------

SOM_Scope void  SOMLINK FW_ORandomAccessSink__SetPosition(FW_ORandomAccessSink *somSelf, Environment *ev,
		long position)
{
FW_UNUSED(somSelf);
FW_UNUSED(ev);
FW_UNUSED(position);
    FW_SUBCLASS_RESPONSIBILITY("FW_ORandomAccessSinkSetPosition");
}


//----------------------------------------------------------------------------------------
// FW_ORandomAccessSinkGetReadableBytes
//----------------------------------------------------------------------------------------

SOM_Scope long  SOMLINK FW_ORandomAccessSink__GetReadableBytes(FW_ORandomAccessSink *somSelf, Environment *ev)
{
	return somSelf->GetLength(ev) - somSelf->GetPosition(ev);
}


