//========================================================================================
//
//	File:				FWArOper.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWAROPER_H
#include "FWArOper.h"
#endif

#ifndef SOM_SOMObject_xh
#include <somobj.xh>
#endif

//----------------------------------------------------------------------------------------
// FW_SomCast
//----------------------------------------------------------------------------------------

SOMObject* FW_SomCast(SOMObject *object, SOMClass *className)
{
	FW_ASSERT(somIsObj(object));
	FW_ASSERT(somIsObj(className));
	return object->somIsA(className) ? object : 0;
}

