//========================================================================================
//
//	File:				FWBufSin.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFound.hpp"

#ifndef FWBUFSIN_H
#include "FWBufSin.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment File
#endif


#if defined(__MWERKS__) && GENERATING68K
// A hack to work around a bug
#pragma import list somNewObjectInstance
#endif

//========================================================================================
// CLASS FW_PBufferedSink
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_PBufferedSink::FW_PBufferedSink
//----------------------------------------------------------------------------------------
FW_PBufferedSink::FW_PBufferedSink(Environment* ev, FW_ORandomAccessSink* theSink, long capacity) :
	FW_PRandomAccessSink(ev, new FW_OBufferedSink())
{
	((FW_OBufferedSink*)GetRep())->InitFromSink(ev, theSink, capacity);
}

//----------------------------------------------------------------------------------------
//	FW_PBufferedSink::~FW_PBufferedSink
//----------------------------------------------------------------------------------------
FW_PBufferedSink::~FW_PBufferedSink()
{
}


