//========================================================================================
//
//	File:				FWMemSin.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFound.hpp"

#ifndef FWMEMSIN_H
#include "FWMemSin.h"
#endif


#ifdef FW_BUILD_MAC
#pragma segment File
#endif

//========================================================================================
// CLASS FW_PMemorySink
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_PMemorySink::FW_PMemorySink
//----------------------------------------------------------------------------------------
FW_PMemorySink::FW_PMemorySink(Environment* ev, FW_OMemorySink* theMemorySink) :
	FW_PRandomAccessSink(ev, theMemorySink)
{
}

//----------------------------------------------------------------------------------------
//	FW_PMemorySink::FW_PMemorySink
//----------------------------------------------------------------------------------------
FW_PMemorySink::FW_PMemorySink(Environment* ev, void* buffer, long capacity, long length) :
	FW_PRandomAccessSink(ev, new FW_OMemorySink())
{
	((FW_OMemorySink*)GetRep())->InitFromBuffer(ev, buffer, capacity, length);
}

//----------------------------------------------------------------------------------------
//	FW_PMemorySink:~FW_PMemorySink
//----------------------------------------------------------------------------------------
FW_PMemorySink::~FW_PMemorySink()
{
}
